import { ExecutionContext } from '../execution/execution-context';
import { Scope } from '../scope';
import { ScriptItem } from '../script-item';
import { K8sTarget, K8sTargetBuilder, K8sTargetBuilderContext } from '../compiler/target/k8s-target-builder';
declare class QueryableK8sTargetBuilder extends K8sTargetBuilder {
    many(): ScriptItem[];
    single(): ScriptItem | undefined;
    count(): number;
}
export declare class QueryableK8sTarget extends K8sTarget {
    private _builderContext;
    constructor(scope: Scope, executionContext: ExecutionContext, targetNamespace: string | null | undefined);
    protected _makeTargetBuilder(): QueryableK8sTargetBuilder;
}
export declare function executeScopeQueryMany(scope: Scope, executionContext: ExecutionContext, builderContext: K8sTargetBuilderContext): ScriptItem[];
export declare function executeScopeQuerySingle(scope: Scope, executionContext: ExecutionContext, builderContext: K8sTargetBuilderContext): ScriptItem | undefined;
export declare function executeScopeQueryCount(scope: Scope, executionContext: ExecutionContext, builderContext: K8sTargetBuilderContext): number;
export {};
//# sourceMappingURL=queryable-k8s-target.d.ts.map