"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildQueryableTargetScope = void 0;
const queryable_k8s_target_1 = require("./queryable-k8s-target");
const scope_1 = require("../scope");
const types_1 = require("../compiler/target/types");
function buildQueryableTargetScope(rootScopeBuilder, targetNamespace, executionContext) {
    rootScopeBuilder.setup(types_1.TopLevelQuery.ApiVersion, (apiVersion) => {
        const scope = new scope_1.Scope();
        const target = new queryable_k8s_target_1.QueryableK8sTarget(scope, executionContext, targetNamespace);
        const builder = target.ApiVersion(apiVersion);
        return builder;
    });
    rootScopeBuilder.setup(types_1.TopLevelQuery.Api, (apiOrNone) => {
        const scope = new scope_1.Scope();
        const target = new queryable_k8s_target_1.QueryableK8sTarget(scope, executionContext, targetNamespace);
        const builder = target.Api(apiOrNone);
        return builder;
    });
}
exports.buildQueryableTargetScope = buildQueryableTargetScope;
//# sourceMappingURL=queryable-scope-builder.js.map