"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.joinPath = exports.parent = exports.isWeb = void 0;
const the_lodash_1 = __importDefault(require("the-lodash"));
const path_1 = __importDefault(require("path"));
function isWeb(fileOrPath) {
    return the_lodash_1.default.startsWith(fileOrPath, 'http://') || the_lodash_1.default.startsWith(fileOrPath, 'https://');
}
exports.isWeb = isWeb;
function parent(fileOrUrl) {
    return path_1.default.dirname(fileOrUrl);
}
exports.parent = parent;
function joinPath(parentFileOrUrl, relative) {
    const parentDir = parent(parentFileOrUrl);
    if (isWeb(parentDir)) {
        if (the_lodash_1.default.endsWith('/')) {
            return `${parentDir}${relative}`;
        }
        else {
            return `${parentDir}/${relative}`;
        }
    }
    else {
        return path_1.default.join(parentDir, relative);
    }
}
exports.joinPath = joinPath;
//# sourceMappingURL=path.js.map